##
##  mocha.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2022 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_mocha      10.0.0
%define       V_mocha_snap 20220501

#   package information
Name:         mocha
Summary:      Node Test Framework
URL:          http://mochajs.org/
Vendor:       TJ Holowaychuk
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MIT
Version:      %{V_mocha}
Release:      20220501

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/mocha/mocha-%{V_mocha}-%{V_mocha_snap}.tar.gz
Source1:      mocha.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    Mocha is a feature-rich JavaScript test framework running on node
    and the browser, making asynchronous testing simple and fun. Mocha
    tests run serially, allowing for flexible and accurate reporting,
    while mapping uncaught exceptions to the correct test cases.

%track
    prog mocha:release = {
        version   = %{V_mocha}
        url       = https://github.com/mochajs/mocha/releases
        regex     = v(__VER__)\.tar\.gz
    }
    prog mocha:snapshot = {
        version   = %{V_mocha_snap}
        url       = http://download.openpkg.org/components/versioned/mocha/
        regex     = mocha-[^-]+-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/mocha
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE mocha.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/mocha
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/mocha/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

